Show / Hide Table of Contents

# Struct hkRefPtr<T>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkRefPtr<T>

        where T : struct

##### Type Parameters

Name | Description
--- | ---
T |

### Fields

| Improve this Doc View Source

#### ptr

##### Declaration

    public T*ptr

##### Field Value

Type | Description
--- | ---
T* |